// dirtest.cpp
// Revision 10-dec-2003

#include "dirutil.h"

#include <iostream>
#include <algorithm>
#include <iterator>

int main (int argc, char * * argv)
{
	using namespace dirutil;
	using std::cout;
	using std::endl;

	if (argc < 2 || argc > 3)
		return 1;
	std::string arg (argv [1] );
	cout << arg << " is ";
	if (! is_directory (arg) )
		cout << "not ";
	cout << "a directory." << endl;
	cout << "Base name is " << base_name (arg) << endl;
	cout << "Dir name is " << dir_name (arg) << endl;
	if (argc > 2)
	{
		std::string arg2 (argv [2] );
		cout << "New dir is " << (arg= enter_dir (arg, arg2) ) << endl;
	}
	std::vector <std::string> v;
	directory (arg, v);
	std::sort (v.begin (), v.end () );
	std::copy (v.begin (), v.end (),
		std::ostream_iterator <std::string>(cout, "\n") );
}

// End of dirtest.cpp
