// dirutil.h
// Revision 11-dec-2003

#include <string>
#include <vector>

namespace dirutil {

bool is_directory (const std::string & str);
std::string base_name (const std::string & str);
std::string dir_name (const std::string & str);
std::string extension (const std::string & str);
std::string enter_dir (const std::string & old, const std::string & enter);
void directory (const std::string & dirname, std::vector <std::string> & v);

} // namespace dirutil

// End of dirutil.h
