// qtreassert.cpp
// Revision 5-dec-2003

#include <stdexcept>
#include <sstream>

#ifndef NDEBUG

void qtre_assert_failed	(const char * a, const char * file, size_t line)
{
	std::ostringstream oss;
	oss << "ASSERTION FAILED: " <<	a << " in file " << file <<
		" line " << line;
	throw std::logic_error (oss.str () );
}

#endif

// End of qtreassert.cpp
