#ifndef INCLUDE_QTREASSERT_H
#define INCLUDE_QTREASSERT_H

// qtreassert.h
// Revision 5-dec-2003

#ifndef NDEBUG

void qtre_assert_failed (const char * a, const char * file, size_t line);

#define ASSERT(a) if (a) ; else \
	qtre_assert_failed (#a, __FILE__, __LINE__)

#else

#define ASSERT(a)

#endif

#endif

// End of qtreassert.h
