// selectfile.cpp
// Revision 10-dec-2003

#include "selectfile.h"

#include "select.h"
#include "dirutil.h"

#include <algorithm>

std::string selectfile (otermstream & ot, const std::string & title,
	RedrawerSelectFile & redrawer)
{
	using namespace dirutil;

	std::vector <std::string> v;
	std::string dir= ".";

	for (;;)
	{
		directory (dir, v);
		std::sort (v.begin (), v.end () );
	
		size_t r= select (ot, title, v);
		if (r == size_t (-1) )
			return std::string ();
		std::string sel= enter_dir (dir, v [r] );
		if (! is_directory (sel) )
			return sel;
		dir= sel;
		redrawer.doit ();
	}
}

// End of selectfile.cpp
