// status.h
// Revision 1-dec-2003

#include "termstream.h"

#include <string>

class StatusLine
{
public:
	StatusLine (int ancho, int y);
	void refresh ();
	void settext (std::string str);
	int getkey (const std::string & str);
	void clear ();
	void lincol (int y, int x);
	char question (const std::string & q, const std::string & values);
private:
	void plincol ();
	void puttext ();
	otermstream ot;
	size_t max;
	int y;
	int x;
	std::string str;
};

// Fin de status.h
